FROM python:3.6-stretch
RUN apt-get update -y 



RUN git clone https://gitlab.com/lina.za/DocParser.git
#RUN cd DocParser && pip install -r requirements_gpu.txt
#RUN apt-get install openjdk-8-jdk -y
#RUN git clone https://github.com/j-rausch/Mask_RCNN
#RUN cd Mask_RCNN && python setup.py install
#ORIGINAL: RUN cd DocParser/docparser && mkdir ./dataset && cd ./dataset && wget --no-check-certificate 'https://drive.google.com/u/0/open?id=1qVR_mI2xBtgsUG0LWVJctygDzvkMYN7C' -O DocParser/docparser/dataset/arxivdocs_target.zip && unzip DocParser/docparser/dataset/arxivdocs_target.zip  
# extract datasets
#RUN cd DocParser/docparser && mkdir ./dataset && cd ./dataset && wget 'https://www.dropbox.com/s/g9p1upfbdywyj31/arxivdocs_target.zip'  && unzip arxivdocs_target.zip && rm arxivdocs_target.zip && wget 'https://www.dropbox.com/s/y4udsko33yk5079/icdar2013_docparser.zip?dl=0' && unzip icdar2013_docparser.zip && rm icdar2013_docparser.zip
RUN cd DocParser/docparser && mkdir ./dataset && cd ./dataset && wget 'https://drive.google.com/uc?export=download&confirm=qcTw&id=1qVR_mI2xBtgsUG0LWVJctygDzvkMYN7C'  && unzip arxivdocs_target.zip
# extract models
#RUN cd DocParser/docparser && wget 'xx'  && unzip default_models.zip



#RUN cd DocParser/docparser && mkdir ./default_models/ && cd ./default_models/ 